Switch back to assuming TLS 1.2.
authorDavid Benjamin <davidben@google.com>
Thu, 18 Aug 2016 04:43:05 +0000 (00:43 -0400)
committerMatt Caswell <matt@openssl.org>
Mon, 26 Sep 2016 22:10:29 +0000 (23:10 +0100)
The TLSProxy::Record->new call hard-codes a version, like
70-test_sslrecords.t.

Reviewed-by: Rich Salz <rsalz@openssl.org>
Reviewed-by: Matt Caswell <matt@openssl.org>
test/recipes/70-test_sslcbcpadding.t

index e2df24e..4db4395 100644 (file)
@@ -23,8 +23,8 @@ plan skip_all => "$test_name needs the dynamic engine feature enabled"
 plan skip_all => "$test_name needs the sock feature enabled"
     if disabled("sock");
 
-plan skip_all => "$test_name needs TLSv1.1 enabled"
-    if disabled("tls1_1");
+plan skip_all => "$test_name needs TLSv1.2 enabled"
+    if disabled("tls1_2");
 
 $ENV{OPENSSL_ia32cap} = '~0x200000200000000';
 my $proxy = TLSProxy::Proxy->new(